            #GIT_CMT=b4b35ff0bb053170446348086ed46f1a19436557
Summary:          Gluster block storage utility
Name:             gluster-block
Version:          0.3
Release:    5.el7
Vendor:           Oracle America
License:          GPLv2 or LGPLv3+
URL:              https://github.com/gluster/gluster-block
Source0: gluster-block-0.3.tar.bz2

BuildRequires:    pkgconfig(glusterfs-api)
BuildRequires:    pkgconfig(json-c)
BuildRequires:    help2man >= 1.36
%{?systemd_requires}
BuildRequires:    systemd
# tarball releases require running ./autogen.sh
BuildRequires:    automake, autoconf, libtool, git

Requires:         tcmu-runner-handler-glfs >= 1.0.4
Requires:         targetcli >= 2.1.fb43
Requires:         rpcbind logrotate

%description
gluster-block is a CLI utility, which aims at making gluster backed block
storage creation and maintenance as simple as possible.

%prep
%setup -q

%build
echo %{version} > VERSION
./autogen.sh
%configure --enable-tirpc=no
%make_build

%install
%make_install

%post
%systemd_post gluster-block-target.service
%systemd_post gluster-blockd.service

%preun
%systemd_preun gluster-block-target.service
%systemd_preun gluster-blockd.service

%postun
%systemd_postun_with_restart gluster-block-target.service
%systemd_postun_with_restart gluster-blockd.service

%files
%license COPYING-GPLV2 COPYING-LGPLV3
%doc README.md
%{_sbindir}/gluster-block
%{_sbindir}/gluster-blockd
%{_mandir}/man8/gluster-block*.8*
%{_unitdir}/gluster-blockd.service
%{_unitdir}/gluster-block-target.service
%config(noreplace) %{_sysconfdir}/sysconfig/gluster-blockd
%config(noreplace) %{_sysconfdir}/logrotate.d/gluster-block
%{_libexecdir}/gluster-block/wait-for-bricks.sh
%{_libexecdir}/gluster-block/upgrade_activities.sh
%{_sharedstatedir}/gluster-block/gluster-block-caps.info

%changelog
* Sun Jul 21 2019 Tiger Yang <tiger.yang@oracle.com> - 0.3-5.el7
- spec: don't use libtirpc in OL7 (Tiger Yang)  
- build 0.3-4 for ol8 (Tiger Yang)  

* Tue Jun 25 2019 Tiger Yang <tiger.yang@oracle.com> - 0.3-4.el7
- merge upstream and build 0.3-4

* Tue Jun 25 2019 Tiger Yang <tiger.yang@oracle.com> - 0.3-4
- Merge remote-tracking branch 'gluster/master' into oracle-gluster-6
- misc: makesure to kill gluster-blockd on exit
- logs: improving some more logs
- extras: fix printLog format
- logger: init the logDir and logfiles in initLogging
- logrotate: remove postrotate action
- daemon: remove the tcmu-runner active check in systemd case
- misc: fix bash path
- NEWS: update
- logrotate: rename logrotate config file
- rpms: fix compile warnings
- MSG: do not override last character from the msg
- create: defend on the use of hostnames
- doc: update README
- add MAINTAINERS.md file
- dyn-config: try to read it again in case the pagecache is not flushed out
- dyn-reload: slient the logs when they are the same
- gbConf: Use shared memory instead of from the data segment
- docs: update
- spec: fix build warning
- spec: disable tirpc when rhel <= 7
- spec: fix rpms build errors
- logrotate: update the logdir path whenever it changes
- config: logDir add dyn support
- zero-fill: use slow zeroing if glfs_zerofill is not supported
- Docs: update to the latest
- config-backup: increase max backup files count
- gluster-block: fix create failure with ring-buffer option
- gluster-block: fix block delete failure
- build: fix compile time warning
- configure: fix warning about '--enable-tirpc'
- logger: allow without any variable argument
- modify: misc fix for the logs
- tests/basic.t: add more test cases
- readme: add libtirpc-devel rpcgen as perrequesites
- daemon: check for dependencies version at runtime
- rpc: fix leak reported by asan
- rpc: fix heap-buffer-overflow reported by asan
- travis: build on f29 and centos7
- daemon: convert cli and remote threads to individual processes
- gluster-block: correct some rpc socket setup bits
- rpc: support the modern non-glibc rpcgen tool
- rpc: use modern libtirpc instead of old glibc implementation
- LoadConfig: don't call glusterBlockSetLruCount in cli process context
- cli: add log-msg for cli-timeout in DEBUG or higher level
- dyn-config: log event->mask when loglevel is DEBUG or higher
- gluster-block: dump config key:value changes to respective log files
- Set theme jekyll-theme-cayman
- cli: fix dereference of undefined pointer value
- logs: remove '\n' in LOG() usage
- gluster-block: add logrotate support
- inotify: watch the directory not just file
- logger: add CRIT loglevel support
- spec: create and package /var/log/gluster-block/
- docs: add CONTRIBUTING.md
- tests: add simple gfapi access test
- automake: silent building as default
- create: turn 'prealloc full' by default
- tests: use ip addr instead of hostname
- docs: add ISSUE and PR TEMPLATE
- README: add a simple demo
- utils: fix compile warning
- logger: fix the log messages with adding extra whitspace
- version: add the gfapi version check
- service: update the required rpcbind service start sequence

* Thu Mar 07 2019 Tiger Yang <tiger.yang@oracle.com> - 0.3-3
- Merge remote-tracking branch 'gluster/master' into oracle-gluster-5
- cli: add timeout option
- Minor fixes (#176)
- cli: support env variable way of controlling GB_CLI_TIMEOUT
- cli-timeout: make rpc-timeout as configurable option
- coverity: fix multiple issues (#172)
- coverity: fix pointless_string_compare issues (#171)
- loadConfig: retry opening conf-file if the initial attempt fail
- cli: push output to stderr if remote rpc return non-zero
- all: fix high severity issues from coverity (#162)
- gluster-blockd: defend for NULL to avoid crash
- cli: clean up the code style
- gluster-blockd: support volfile server (discovery service) setting through Env (#161)
- genconfig: add load balance support
- list: ignore all the invalid files
- README: update the multipath.conf detail for load-balance support
- daemon: change minimum rhel kernel version to 3.10.0-862.14.4
- gbMinKernelVersionCheck: rename variable name 'out' with 'distro'
- dyn-config: read the config file line by line instead of allocating a fixed 32K buffer
- dyn-config: fix memleak for GB_LOG_LEVEL
- gluster-block: dump all failure msgs to stderr
- Fix memleak for errMsg
- audit: reduce indentation for smoother flow (#133)
- all: fix build warnings
- spec-file: fix the error in changelog date (#139)
- build: move Dockerfile.buildtest to ./extras/docker/ (#143)
- Add travis-integration for build verification using docker (#142)
- systemd: clear the target config only when tcmu-runner is running
- scripts: use TCMU_LOGDIR instead of GB_LOGDIR
- upgrade-script: clean status file on source and rpm uninstall
- upgrade-script: Makefile and rpm spec file changes
- extras: add a script for upgrade time activities
- doc: update documentation about 'no-remote-rpc' option
- daemon: add 'no-remote-rpc' option
- replace-node: update PRIOPATH at metadata when it match with old-node
- README: update the doc for helper
- doc: man page update
- genconfig: add helper info
- genconfig: with old blocks use first valid ipaddr from metadata as PRIOPATH
- daemon: defend on minimum recommended kernel version
- Auditlog Feature
- lru: glfslruCount add config dynamic reloading support
- logging: add config dynamic reloading support
- gluster-block: update .gitignore
- create: fix iscsi iqn validation check error
- resize: fix errCode overriding
- meta: reserve 10M space for meta-data store

* Tue Jan 22 2019 Tiger Yang <tiger.yang@oracle.com> - 0.3-2
- build for oracle-gluster-5

* Mon Aug 20 2018 Tiger Yang <tiger.yang@oracle.com> - 0.3-1
- Initial revision for oracle-gluster-4.1

